Skip to main content
`Ctrl`+`K`

# TSMonitorLGTimeStep

Monitors a `TS` by printing the time-steps

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorLGTimeStep(TS ts, PetscInt step, PetscReal ptime, Vec v, PetscCtx monctx)

Collective

## Input Parameters

- ts - the time integrator

- step - the current time step

- ptime - the current time

- v - the current state

- monctx - the monitor context obtained with `TSMonitorLGCtxCreate()`

## Note

This is not called directly by users, rather one calls `TSMonitorSet()` along the `ctx` created by `TSMonitorLGCtxCreate()` and `TSMonitorLGCtxDestroy()`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorLGCtxCreate()`, `TSMonitorSet()`, `TSMonitorLGCtxDestroy()`

## Level

advanced

## Location

src/ts/interface/tsmon.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages